package edu.unl.cse.csce361.hibernate;

import javax.persistence.*;

@SuppressWarnings("unused")
@Entity
public class Fruit {
    @Id
    @GeneratedValue
    private Integer id;

    @Column
    private String fruitType;

    @Column
    private String color;

    @Column
    private Integer massInGrams;

    @ManyToOne
    @JoinColumn
    private FruitSalad salad;

    public Fruit() {                                                    // 0-argument constructor
    }

    public Fruit(String fruitType, String color) {                      // convenience constructor
        setFruitType(fruitType);
        setColor(color);
    }

    public Fruit(String fruitType, String color, int massInGrams) {     // convenience constructor
        setFruitType(fruitType);
        setColor(color);
        setMassInGrams(massInGrams);
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getFruitType() {
        return fruitType;
    }

    public void setFruitType(String fruitType) {
        this.fruitType = fruitType;
    }

    public String getColor() {
        return color;
    }

    public void setColor(String color) {
        this.color = color;
    }

    public Integer getMassInGrams() {
        return massInGrams;
    }

    public void setMassInGrams(Integer massInGrams) {
        this.massInGrams = massInGrams;
    }

    public FruitSalad getSalad() {
        return salad;
    }

    public void setSalad(FruitSalad salad) {
        this.salad = salad;
    }

    @Override
    public String toString() {
        return getMassInGrams() + "g of " + getFruitType();
    }
}
