package edu.unl.cse.csce361.hibernate;

import javax.persistence.*;
import java.util.HashSet;
import java.util.Set;

@SuppressWarnings("unused")
@Entity
public class FruitSalad {
    @Id
    @GeneratedValue
    private Integer id;

    @Column
    private String recipeName;

    @OneToMany(mappedBy= "salad")
    private Set<Fruit> fruits = new HashSet<>();

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getRecipeName() {
        return recipeName;
    }

    public void setRecipeName(String recipeName) {
        this.recipeName = recipeName;
    }

    public Set<Fruit> getFruits() {
        return fruits;
    }

    public void setFruits(Set<Fruit> fruits) {
        this.fruits = fruits;
    }

    public void addFruit(Fruit fruit) {
        fruits.add(fruit);
        fruit.setSalad(this);
    }

    @Override
    public String toString() {
        return getRecipeName();
    }
}
